在macOS 10.13 上安装ncsdk api运行Movidius

安装过程可以参考这个git,但其中有部分过程需要修改。

首先:

>>> brew install opencv

会提示安装最新的python3.7版本,而tensorflow目前还无法支持python3.7,所以可以采用编译安装opencv或者跳过这一步,使用python版opencv

>>> sudo pip3 install opencv-python

其次:

>>> sudo make basicinstall pythoninstall

前,需要

make all

最后:

ncsdk2目前还不支持macOS,具体原因可以参考这里
在make run的时候会提示找不到设备

making hello_ncs_cpp
g++ cpp/hello_ncs.cpp -o cpp/hello_ncs_cpp -lmvnc
Created cpp/hello_ncs_cpp executable

making run
cd cpp; ./hello_ncs_cpp; cd ..
Can't create semaphore
: Function not implemented
Error - No NCS devices found.
    ncStatus value: -4
microfat:hello_ncs_cpp micro$ make run

making hello_ncs_cpp
g++ cpp/hello_ncs.cpp -o cpp/hello_ncs_cpp -lmvnc
Created cpp/hello_ncs_cpp executable

making run
cd cpp; ./hello_ncs_cpp; cd ..
Can't create semaphore
: Function not implemented
Can't create semaphore
: Function not implemented
E: [         0] dispatcherAddEvent:595	can't wait semaphore

W: [         0] dispatcherAddEvent:607	No more semaphores. Increase XLink or OS resources

E: [         0] dispatcherAddEvent:595	can't wait semaphore

W: [         0] dispatcherAddEvent:607	No more semaphores. Increase XLink or OS resources

E: [         0] XLinkOpenStream:1045	Max streamId reached deaddead!
W: [         0] ncDeviceOpen:589	can't open stream

Error- ncDeviceOpen failed
    ncStatus value: -2
展开阅读全文

没有更多推荐了,返回首页